uses enum
[scilab.git] / scilab / modules / output_stream / Makefile.in
1 # Makefile.in generated by automake 1.10.2 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
19 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
20 #
21 # This file must be used under the terms of the CeCILL.
22 # This source file is licensed as described in the file COPYING, which
23 # you should have received as part of this distribution.  The terms
24 # are also available at
25 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
26 #
27
28 ##########
29 ### Makefile included stuff
30 ### Target, variable, suffixes which are supposed to be usefull in every makefile.am
31 ##########
32
33
34
35 VPATH = @srcdir@
36 pkgdatadir = $(datadir)/@PACKAGE@
37 pkglibdir = $(libdir)/@PACKAGE@
38 pkgincludedir = $(includedir)/@PACKAGE@
39 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
40 install_sh_DATA = $(install_sh) -c -m 644
41 install_sh_PROGRAM = $(install_sh) -c
42 install_sh_SCRIPT = $(install_sh) -c
43 INSTALL_HEADER = $(INSTALL_DATA)
44 transform = $(program_transform_name)
45 NORMAL_INSTALL = :
46 PRE_INSTALL = :
47 POST_INSTALL = :
48 NORMAL_UNINSTALL = :
49 PRE_UNINSTALL = :
50 POST_UNINSTALL = :
51 build_triplet = @build@
52 host_triplet = @host@
53 DIST_COMMON = $(libscioutput_stream_la_include_HEADERS) \
54         $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
55         $(top_srcdir)/Makefile.incl.am
56 @NEED_JAVA_TRUE@am__append_1 = java
57 subdir = modules/output_stream
58 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
59 am__aclocal_m4_deps = $(top_srcdir)/m4/docbook.m4 \
60         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
61         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
62         $(top_srcdir)/m4/intel_compiler.m4 $(top_srcdir)/m4/java.m4 \
63         $(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/libs_by_debian.m4 \
64         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
65         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ocaml.m4 \
66         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
67         $(top_srcdir)/m4/pvm.m4 $(top_srcdir)/m4/relocatable.m4 \
68         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
69         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
70         $(top_srcdir)/configure.ac
71 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
72         $(ACLOCAL_M4)
73 mkinstalldirs = $(install_sh) -d
74 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
75 CONFIG_CLEAN_FILES =
76 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
77 am__vpath_adj = case $$p in \
78     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
79     *) f=$$p;; \
80   esac;
81 am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
82 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
83         "$(DESTDIR)$(libscioutput_stream_la_etcdir)" \
84         "$(DESTDIR)$(libscioutput_stream_la_rootdir)" \
85         "$(DESTDIR)$(libscioutput_stream_la_sci_gatewaydir)" \
86         "$(DESTDIR)$(libscioutput_stream_la_includedir)"
87 pkglibLTLIBRARIES_INSTALL = $(INSTALL)
88 LTLIBRARIES = $(pkglib_LTLIBRARIES)
89 libscioutput_stream_la_LIBADD =
90 am__objects_1 = libscioutput_stream_la-erro.lo \
91         libscioutput_stream_la-cerro.lo \
92         libscioutput_stream_la-Scierror.lo \
93         libscioutput_stream_la-msgstore.lo \
94         libscioutput_stream_la-msgout.lo \
95         libscioutput_stream_la-msgs.lo \
96         libscioutput_stream_la-msgstxt.lo \
97         libscioutput_stream_la-basout.lo \
98         libscioutput_stream_la-sciprint.lo \
99         libscioutput_stream_la-sciprint_full.lo \
100         libscioutput_stream_la-errmds.lo \
101         libscioutput_stream_la-errmsg.lo \
102         libscioutput_stream_la-error.lo \
103         libscioutput_stream_la-error_internal.lo \
104         libscioutput_stream_la-do_xxprintf.lo \
105         libscioutput_stream_la-set_xxprintf.lo
106 am__objects_2 = libscioutput_stream_la-Diary.lo \
107         libscioutput_stream_la-DiaryList.lo \
108         libscioutput_stream_la-diary_manager.lo \
109         libscioutput_stream_la-getDiaryDate.lo \
110         libscioutput_stream_la-getFullFilename.lo
111 am__objects_3 = wspdsp.lo wmdsp.lo strdsp.lo prntid.lo print.lo \
112         lspdsp.lo fmttyp.lo fmt.lo dspdsp.lo dmrdsp.lo dmpdsp.lo \
113         dmdspf.lo dmdsp.lo dldsp.lo basouttofile.lo formatnumber.lo
114 am__objects_4 = libscioutput_stream_la-gw_output_stream.lo \
115         libscioutput_stream_la-sci_print.lo \
116         libscioutput_stream_la-sci_mprintf.lo \
117         libscioutput_stream_la-sci_msprintf.lo \
118         libscioutput_stream_la-sci_disp.lo
119 am__objects_5 = libscioutput_stream_la-sci_diary.lo
120 am__objects_6 = intprint.lo intdisp.lo
121 am_libscioutput_stream_la_OBJECTS = $(am__objects_1) $(am__objects_2) \
122         $(am__objects_3) $(am__objects_4) $(am__objects_5) \
123         $(am__objects_6)
124 libscioutput_stream_la_OBJECTS = $(am_libscioutput_stream_la_OBJECTS)
125 libscioutput_stream_la_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
126         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
127         $(CXXFLAGS) $(libscioutput_stream_la_LDFLAGS) $(LDFLAGS) -o $@
128 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
129 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
130 am__depfiles_maybe = depfiles
131 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
132         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
133 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
134         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
135         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
136 CCLD = $(CC)
137 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
138         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
139         $(LDFLAGS) -o $@
140 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
141         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
142 LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
143         --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
144         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
145 CXXLD = $(CXX)
146 CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
147         --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
148         $(LDFLAGS) -o $@
149 F77COMPILE = $(F77) $(AM_FFLAGS) $(FFLAGS)
150 LTF77COMPILE = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
151         --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS)
152 F77LD = $(F77)
153 F77LINK = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
154         --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) $(AM_LDFLAGS) \
155         $(LDFLAGS) -o $@
156 SOURCES = $(libscioutput_stream_la_SOURCES)
157 DIST_SOURCES = $(libscioutput_stream_la_SOURCES)
158 libscioutput_stream_la_etcDATA_INSTALL = $(INSTALL_DATA)
159 libscioutput_stream_la_rootDATA_INSTALL = $(INSTALL_DATA)
160 libscioutput_stream_la_sci_gatewayDATA_INSTALL = $(INSTALL_DATA)
161 DATA = $(libscioutput_stream_la_etc_DATA) \
162         $(libscioutput_stream_la_root_DATA) \
163         $(libscioutput_stream_la_sci_gateway_DATA)
164 libscioutput_stream_la_includeHEADERS_INSTALL = $(INSTALL_HEADER)
165 HEADERS = $(libscioutput_stream_la_include_HEADERS)
166 ETAGS = etags
167 CTAGS = ctags
168 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
169 ACLOCAL = @ACLOCAL@
170 ALL_LINGUAS = @ALL_LINGUAS@
171 AMTAR = @AMTAR@
172 ANT = @ANT@
173 AR = @AR@
174 AUTOCONF = @AUTOCONF@
175 AUTOHEADER = @AUTOHEADER@
176 AUTOMAKE = @AUTOMAKE@
177 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
178 AWK = @AWK@
179 BATIK = @BATIK@
180 BLAS_LIBS = @BLAS_LIBS@
181 CC = @CC@
182 CCDEPMODE = @CCDEPMODE@
183 CFLAGS = @CFLAGS@
184 COMMONS_IO = @COMMONS_IO@
185 COMMONS_LOGGING = @COMMONS_LOGGING@
186 CPP = @CPP@
187 CPPFLAGS = @CPPFLAGS@
188 CXX = @CXX@
189 CXXCPP = @CXXCPP@
190 CXXDEPMODE = @CXXDEPMODE@
191 CXXFLAGS = @CXXFLAGS@
192 CYGPATH_W = @CYGPATH_W@
193 DEFS = @DEFS@
194 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
195 DEPDIR = @DEPDIR@
196 DOCBOOK_ROOT = @DOCBOOK_ROOT@
197 DSYMUTIL = @DSYMUTIL@
198 ECHO = @ECHO@
199 ECHO_C = @ECHO_C@
200 ECHO_N = @ECHO_N@
201 ECHO_T = @ECHO_T@
202 EGREP = @EGREP@
203 EXEEXT = @EXEEXT@
204 F77 = @F77@
205 FFLAGS = @FFLAGS@
206 FFTW3_LIB = @FFTW3_LIB@
207 FFTW_ENABLE = @FFTW_ENABLE@
208 FLEXDOCK = @FLEXDOCK@
209 FLIBS = @FLIBS@
210 FOP = @FOP@
211 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
212 GIWS_BIN = @GIWS_BIN@
213 GLUEGEN_RT = @GLUEGEN_RT@
214 GMSGFMT = @GMSGFMT@
215 GMSGFMT_015 = @GMSGFMT_015@
216 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
217 GREP = @GREP@
218 GUI_ENABLE = @GUI_ENABLE@
219 HDF5_CFLAGS = @HDF5_CFLAGS@
220 HDF5_ENABLE = @HDF5_ENABLE@
221 HDF5_LIBS = @HDF5_LIBS@
222 HELP_ENABLE = @HELP_ENABLE@
223 INSTALL = @INSTALL@
224 INSTALL_DATA = @INSTALL_DATA@
225 INSTALL_PROGRAM = @INSTALL_PROGRAM@
226 INSTALL_SCRIPT = @INSTALL_SCRIPT@
227 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
228 INTLLIBS = @INTLLIBS@
229 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
230 JAR = @JAR@
231 JAVA = @JAVA@
232 JAVAC = @JAVAC@
233 JAVAH = @JAVAH@
234 JAVASCI_ENABLE = @JAVASCI_ENABLE@
235 JAVA_DEBUG_OPTIONS = @JAVA_DEBUG_OPTIONS@
236 JAVA_ENABLE = @JAVA_ENABLE@
237 JAVA_G = @JAVA_G@
238 JAVA_HOME = @JAVA_HOME@
239 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
240 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
241 JDB = @JDB@
242 JEUCLID_CORE = @JEUCLID_CORE@
243 JHALL = @JHALL@
244 JHDF5 = @JHDF5@
245 JOGL = @JOGL@
246 JROSETTA_API = @JROSETTA_API@
247 JROSETTA_ENGINE = @JROSETTA_ENGINE@
248 LAPACK_LIBS = @LAPACK_LIBS@
249 LDFLAGS = @LDFLAGS@
250 LIBICONV = @LIBICONV@
251 LIBINTL = @LIBINTL@
252 LIBOBJS = @LIBOBJS@
253 LIBS = @LIBS@
254 LIBTOOL = @LIBTOOL@
255 LN_S = @LN_S@
256 LOOKS = @LOOKS@
257 LTLIBICONV = @LTLIBICONV@
258 LTLIBINTL = @LTLIBINTL@
259 LTLIBOBJS = @LTLIBOBJS@
260 MAINT = @MAINT@
261 MAKEINFO = @MAKEINFO@
262 MATIO_CFLAGS = @MATIO_CFLAGS@
263 MATIO_ENABLE = @MATIO_ENABLE@
264 MATIO_LIBS = @MATIO_LIBS@
265 MKDIR_P = @MKDIR_P@
266 MSGCAT = @MSGCAT@
267 MSGFMT = @MSGFMT@
268 MSGFMT_015 = @MSGFMT_015@
269 MSGMERGE = @MSGMERGE@
270 NM = @NM@
271 NMEDIT = @NMEDIT@
272 OBJEXT = @OBJEXT@
273 OCAMLC = @OCAMLC@
274 OCAMLDEP = @OCAMLDEP@
275 OCAMLLEX = @OCAMLLEX@
276 OCAMLOPT = @OCAMLOPT@
277 OCAMLYACC = @OCAMLYACC@
278 PACKAGE = @PACKAGE@
279 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
280 PACKAGE_NAME = @PACKAGE_NAME@
281 PACKAGE_STRING = @PACKAGE_STRING@
282 PACKAGE_TARNAME = @PACKAGE_TARNAME@
283 PACKAGE_VERSION = @PACKAGE_VERSION@
284 PATH_SEPARATOR = @PATH_SEPARATOR@
285 PCRE_CFLAGS = @PCRE_CFLAGS@
286 PCRE_CONFIG = @PCRE_CONFIG@
287 PCRE_LIBS = @PCRE_LIBS@
288 PCRE_VERSION = @PCRE_VERSION@
289 PKG_CONFIG = @PKG_CONFIG@
290 POSUB = @POSUB@
291 POW_LIB = @POW_LIB@
292 PVMGETARCH = @PVMGETARCH@
293 PVM_ARCH = @PVM_ARCH@
294 PVM_ENABLE = @PVM_ENABLE@
295 PVM_INCLUDE = @PVM_INCLUDE@
296 PVM_LIB = @PVM_LIB@
297 PYTHON = @PYTHON@
298 RANLIB = @RANLIB@
299 RELOCATABLE = @RELOCATABLE@
300 RT_LIB = @RT_LIB@
301 SAXON = @SAXON@
302 SCICOS_ENABLE = @SCICOS_ENABLE@
303 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
304 SCIPAD_ENABLE = @SCIPAD_ENABLE@
305 SED = @SED@
306 SET_MAKE = @SET_MAKE@
307 SET_RELOCATABLE = @SET_RELOCATABLE@
308 SHELL = @SHELL@
309 SKINLF = @SKINLF@
310 STRIP = @STRIP@
311 SWIG_BIN = @SWIG_BIN@
312 SWIG_JAVA = @SWIG_JAVA@
313 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
314 TCLTK_LIBS = @TCLTK_LIBS@
315 TCL_INC_PATH = @TCL_INC_PATH@
316 TK_INC_PATH = @TK_INC_PATH@
317 UMFPACK_ENABLE = @UMFPACK_ENABLE@
318 UMFPACK_LIB = @UMFPACK_LIB@
319 USE_NLS = @USE_NLS@
320 VERSION = @VERSION@
321 WITH_OCAML = @WITH_OCAML@
322 WITH_TKSCI = @WITH_TKSCI@
323 XGETTEXT = @XGETTEXT@
324 XGETTEXT_015 = @XGETTEXT_015@
325 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
326 XMKMF = @XMKMF@
327 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
328 XML_APIS_EXT = @XML_APIS_EXT@
329 XML_CONFIG = @XML_CONFIG@
330 XML_FLAGS = @XML_FLAGS@
331 XML_LIBS = @XML_LIBS@
332 XML_VERSION = @XML_VERSION@
333 X_CFLAGS = @X_CFLAGS@
334 X_EXTRA_LIBS = @X_EXTRA_LIBS@
335 X_LIBS = @X_LIBS@
336 X_PRE_LIBS = @X_PRE_LIBS@
337 abs_builddir = @abs_builddir@
338 abs_srcdir = @abs_srcdir@
339 abs_top_builddir = @abs_top_builddir@
340 abs_top_srcdir = @abs_top_srcdir@
341 ac_ct_CC = @ac_ct_CC@
342 ac_ct_CXX = @ac_ct_CXX@
343 ac_ct_F77 = @ac_ct_F77@
344 am__include = @am__include@
345 am__leading_dot = @am__leading_dot@
346 am__quote = @am__quote@
347 am__tar = @am__tar@
348 am__untar = @am__untar@
349 bindir = @bindir@
350 build = @build@
351 build_alias = @build_alias@
352 build_cpu = @build_cpu@
353 build_os = @build_os@
354 build_vendor = @build_vendor@
355 builddir = @builddir@
356 cxx_present = @cxx_present@
357 datadir = @datadir@
358 datarootdir = @datarootdir@
359 docdir = @docdir@
360 dvidir = @dvidir@
361 exec_prefix = @exec_prefix@
362 host = @host@
363 host_alias = @host_alias@
364 host_cpu = @host_cpu@
365 host_os = @host_os@
366 host_vendor = @host_vendor@
367 htmldir = @htmldir@
368 includedir = @includedir@
369 infodir = @infodir@
370 install_sh = @install_sh@
371 libdir = @libdir@
372 libexecdir = @libexecdir@
373 localedir = @localedir@
374 localstatedir = @localstatedir@
375 mandir = @mandir@
376 mkdir_p = @mkdir_p@
377 oldincludedir = @oldincludedir@
378 pdfdir = @pdfdir@
379 prefix = @prefix@
380 program_transform_name = @program_transform_name@
381 psdir = @psdir@
382 sbindir = @sbindir@
383 sharedstatedir = @sharedstatedir@
384 srcdir = @srcdir@
385 sysconfdir = @sysconfdir@
386 target_alias = @target_alias@
387 top_build_prefix = @top_build_prefix@
388 top_builddir = @top_builddir@
389 top_srcdir = @top_srcdir@
390 OUTPUT_STREAM_CPP_SOURCES = src/cpp/Diary.cpp \
391         src/cpp/DiaryList.cpp \
392         src/cpp/diary_manager.cpp \
393         src/cpp/getDiaryDate.cpp \
394         src/cpp/getFullFilename.cpp
395
396 GATEWAY_CPP_SOURCES = sci_gateway/cpp/sci_diary.cpp
397 OUTPUT_STREAM_C_SOURCES = src/c/erro.c \
398                                 src/c/cerro.c \
399                                 src/c/Scierror.c \
400                                 src/c/msgstore.c \
401                                 src/c/msgout.c \
402                                 src/c/msgs.c \
403                                 src/c/msgstxt.c \
404                                 src/c/basout.c \
405                                 src/c/sciprint.c \
406                                 src/c/sciprint_full.c \
407                                 src/c/errmds.c \
408                                 src/c/errmsg.c \
409                                 src/c/error.c \
410                                 src/c/error_internal.c \
411                                 src/c/do_xxprintf.c \
412                                 src/c/set_xxprintf.c
413
414 OUTPUT_STREAM_FORTRAN_SOURCES = src/fortran/wspdsp.f \
415                 src/fortran/wmdsp.f \
416                 src/fortran/strdsp.f \
417                 src/fortran/prntid.f \
418                 src/fortran/print.f \
419                 src/fortran/lspdsp.f \
420                 src/fortran/fmttyp.f \
421                 src/fortran/fmt.f \
422                 src/fortran/dspdsp.f \
423                 src/fortran/dmrdsp.f \
424                 src/fortran/dmpdsp.f \
425                 src/fortran/dmdspf.f \
426                 src/fortran/dmdsp.f \
427                 src/fortran/dldsp.f \
428                 src/fortran/basouttofile.f \
429                 src/fortran/formatnumber.f
430
431 GATEWAY_C_SOURCES = sci_gateway/c/gw_output_stream.c \
432                 sci_gateway/c/sci_print.c \
433                 sci_gateway/c/sci_mprintf.c \
434                 sci_gateway/c/sci_msprintf.c \
435                 sci_gateway/c/sci_disp.c
436
437 GATEWAY_FORTRAN_SOURCES = sci_gateway/fortran/intprint.f \
438                         sci_gateway/fortran/intdisp.f
439
440 libscioutput_stream_la_CFLAGS = -I$(top_srcdir)/libs/MALLOC/includes/ \
441 -I$(srcdir)/includes/ \
442 -I$(top_srcdir)/modules/core/includes \
443 -I$(srcdir)/src/c/ \
444 -I$(top_srcdir)/modules/api_scilab/includes \
445 -I$(top_srcdir)/modules/string/includes
446
447 libscioutput_stream_la_CPPFLAGS = -I$(top_srcdir)/libs/MALLOC/includes/ \
448 -I$(srcdir)/includes/ \
449 -I$(top_srcdir)/modules/core/includes \
450 -I$(srcdir)/src/cpp/ \
451 -I$(srcdir)/src/c/ \
452 -I$(top_srcdir)/modules/api_scilab/includes \
453 -I$(top_srcdir)/modules/string/includes
454
455 pkglib_LTLIBRARIES = libscioutput_stream.la
456 libscioutput_stream_la_LDFLAGS = -version-info $(SCILAB_LIBRARY_VERSION)
457 libscioutput_stream_la_SOURCES = $(OUTPUT_STREAM_C_SOURCES) $(OUTPUT_STREAM_CPP_SOURCES) $(OUTPUT_STREAM_FORTRAN_SOURCES) $(GATEWAY_C_SOURCES) $(GATEWAY_CPP_SOURCES) $(GATEWAY_FORTRAN_SOURCES) $(JNI_SOURCES)
458
459 # For the code check (splint)
460 CHECK_SRC = $(OUTPUT_STREAM_C_SOURCES) $(GATEWAY_C_SOURCES)
461 INCLUDE_FLAGS = $(libscioutput_stream_la_CFLAGS)
462
463 # Many stuff depends on this one ... commented
464 #libscioutput_stream_la_LIBADD =  $(top_builddir)/modules/console/libsciconsole.la $(top_builddir)/modules/string/libscistring.la $(top_builddir)/modules/fileio/libscifileio.la $(top_builddir)/modules/shell/libscishell.la $(top_builddir)/modules/core/libscicore.la $(top_builddir)/libs/MALLOC/libscimalloc.la
465 #### Target ######
466 modulename = output_stream
467
468 #### output_stream : Conf files ####
469 libscioutput_stream_la_rootdir = $(mydatadir)
470 libscioutput_stream_la_root_DATA = changelog.txt license.txt readme.txt version.xml
471
472 #### output_stream : init scripts ####
473 libscioutput_stream_la_etcdir = $(mydatadir)/etc
474 libscioutput_stream_la_etc_DATA = etc/output_stream.quit etc/output_stream.start
475
476 #### output_stream : gateway declaration ####
477 libscioutput_stream_la_sci_gatewaydir = $(mydatadir)/sci_gateway
478 libscioutput_stream_la_sci_gateway_DATA = sci_gateway/output_stream_gateway.xml
479
480 #### output_stream : include files ####
481 libscioutput_stream_la_includedir = $(pkgincludedir)/output_stream
482 libscioutput_stream_la_include_HEADERS = includes/cerro.h \
483 includes/erro.h \
484 includes/do_error_number.h \
485 includes/errmds.h \
486 includes/sciprint.h \
487 includes/Scierror.h \
488 includes/basout.h \
489 includes/msgs.h \
490 includes/sciprint_full.h \
491 includes/do_xxprintf.h \
492 includes/gw_output_stream.h
493
494
495 # Where all the Scilab stuff is installed (macros, help, ...)
496 mydatadir = $(pkgdatadir)/modules/$(modulename)
497
498 # splint options
499 SPLINT_OPTIONS = -weak -booltype BOOL
500
501 ########################### JAVA ######################################
502 #### We are delegating java compilation to ant... Thanks to that
503 #### the procedure will be the same with Microsoft Windows (C)
504 #### and Linux/Unix
505 #######################################################################
506 TARGETS_ALL = $(am__append_1)
507
508 ################ MACROS ######################
509 # Rule to build a macro
510 # NOT USED  AT THE MOMENT
511 SUFFIXES = .sci 
512
513 ########### INSTALL DOCUMENTATION ###################
514
515 # Install documentation files into the right target
516 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
517 # automake needs the html files to be present which is not the case when
518 # we are building Scilab
519
520 # Where it should be installed
521 pkgdocdir = $(mydatadir)
522
523 # What is the mask of the help source
524 DOCMASKXML = *.xml
525
526 # What is the mask of the MathML sources
527 DOCMASKMML = *.mml
528
529 ########### INSTALL DATA ###################
530 # Install macros, help & demos
531 # Where it should be installed
532 pkgmacrosdir = $(mydatadir)
533 # Which directory we process
534 MACRODIRS = macros/
535 # Mask of the Scilab sources macros
536 MACROMASK = *.sci
537 # Mask of the Scilab executable sources macros
538 MACROBUILDMASK = *.sce
539 # Mask of the Scilab compiled macros
540 MACROBINMASK = *.bin
541 # List of the standard directory for tests
542 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests
543 # Where the demos should be installed
544 pkgdemosdir = $(mydatadir)
545 # List of the standard directory for demos
546 DEMOS_DIR = demos
547 # List of the standard directory for examples
548 EXAMPLES_DIR = examples
549 # Where to export JAVA archives (.jar)
550 JARDIR = jar/
551 # JAR files mask
552 JARMASK = *.jar
553 # Chapter file 
554 HELP_CHAPTERDIR = help/
555 HELP_CHAPTERFILE = addchapter.sce
556 HELP_CHAPTERLANG = en_US fr_FR pt_BR
557 all: all-am
558
559 .SUFFIXES:
560 .SUFFIXES: .sci .bin .c .cpp .f .lo .o .obj
561 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
562         @for dep in $?; do \
563           case '$(am__configure_deps)' in \
564             *$$dep*) \
565               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
566                 && { if test -f $@; then exit 0; else break; fi; }; \
567               exit 1;; \
568           esac; \
569         done; \
570         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  modules/output_stream/Makefile'; \
571         cd $(top_srcdir) && \
572           $(AUTOMAKE) --foreign  modules/output_stream/Makefile
573 .PRECIOUS: Makefile
574 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
575         @case '$?' in \
576           *config.status*) \
577             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
578           *) \
579             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
580             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
581         esac;
582
583 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
584         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
585
586 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
587         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
588 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
589         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
590 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
591         @$(NORMAL_INSTALL)
592         test -z "$(pkglibdir)" || $(MKDIR_P) "$(DESTDIR)$(pkglibdir)"
593         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
594           if test -f $$p; then \
595             f=$(am__strip_dir) \
596             echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(pkglibLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(pkglibdir)/$$f'"; \
597             $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(pkglibLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(pkglibdir)/$$f"; \
598           else :; fi; \
599         done
600
601 uninstall-pkglibLTLIBRARIES:
602         @$(NORMAL_UNINSTALL)
603         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
604           p=$(am__strip_dir) \
605           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$p'"; \
606           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$p"; \
607         done
608
609 clean-pkglibLTLIBRARIES:
610         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
611         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
612           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
613           test "$$dir" != "$$p" || dir=.; \
614           echo "rm -f \"$${dir}/so_locations\""; \
615           rm -f "$${dir}/so_locations"; \
616         done
617 libscioutput_stream.la: $(libscioutput_stream_la_OBJECTS) $(libscioutput_stream_la_DEPENDENCIES) 
618         $(libscioutput_stream_la_LINK) -rpath $(pkglibdir) $(libscioutput_stream_la_OBJECTS) $(libscioutput_stream_la_LIBADD) $(LIBS)
619
620 mostlyclean-compile:
621         -rm -f *.$(OBJEXT)
622
623 distclean-compile:
624         -rm -f *.tab.c
625
626 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-Diary.Plo@am__quote@
627 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-DiaryList.Plo@am__quote@
628 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-Scierror.Plo@am__quote@
629 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-basout.Plo@am__quote@
630 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-cerro.Plo@am__quote@
631 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-diary_manager.Plo@am__quote@
632 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-do_xxprintf.Plo@am__quote@
633 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-errmds.Plo@am__quote@
634 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-errmsg.Plo@am__quote@
635 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-erro.Plo@am__quote@
636 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-error.Plo@am__quote@
637 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-error_internal.Plo@am__quote@
638 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-getDiaryDate.Plo@am__quote@
639 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-getFullFilename.Plo@am__quote@
640 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-gw_output_stream.Plo@am__quote@
641 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-msgout.Plo@am__quote@
642 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-msgs.Plo@am__quote@
643 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-msgstore.Plo@am__quote@
644 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-msgstxt.Plo@am__quote@
645 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-sci_diary.Plo@am__quote@
646 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-sci_disp.Plo@am__quote@
647 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-sci_mprintf.Plo@am__quote@
648 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-sci_msprintf.Plo@am__quote@
649 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-sci_print.Plo@am__quote@
650 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-sciprint.Plo@am__quote@
651 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-sciprint_full.Plo@am__quote@
652 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-set_xxprintf.Plo@am__quote@
653
654 .c.o:
655 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
656 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
657 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
658 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
659 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
660
661 .c.obj:
662 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
663 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
664 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
665 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
666 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
667
668 .c.lo:
669 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
670 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
671 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
672 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
673 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
674
675 libscioutput_stream_la-erro.lo: src/c/erro.c
676 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-erro.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-erro.Tpo -c -o libscioutput_stream_la-erro.lo `test -f 'src/c/erro.c' || echo '$(srcdir)/'`src/c/erro.c
677 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-erro.Tpo $(DEPDIR)/libscioutput_stream_la-erro.Plo
678 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/erro.c' object='libscioutput_stream_la-erro.lo' libtool=yes @AMDEPBACKSLASH@
679 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
680 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-erro.lo `test -f 'src/c/erro.c' || echo '$(srcdir)/'`src/c/erro.c
681
682 libscioutput_stream_la-cerro.lo: src/c/cerro.c
683 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-cerro.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-cerro.Tpo -c -o libscioutput_stream_la-cerro.lo `test -f 'src/c/cerro.c' || echo '$(srcdir)/'`src/c/cerro.c
684 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-cerro.Tpo $(DEPDIR)/libscioutput_stream_la-cerro.Plo
685 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/cerro.c' object='libscioutput_stream_la-cerro.lo' libtool=yes @AMDEPBACKSLASH@
686 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
687 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-cerro.lo `test -f 'src/c/cerro.c' || echo '$(srcdir)/'`src/c/cerro.c
688
689 libscioutput_stream_la-Scierror.lo: src/c/Scierror.c
690 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-Scierror.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-Scierror.Tpo -c -o libscioutput_stream_la-Scierror.lo `test -f 'src/c/Scierror.c' || echo '$(srcdir)/'`src/c/Scierror.c
691 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-Scierror.Tpo $(DEPDIR)/libscioutput_stream_la-Scierror.Plo
692 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/Scierror.c' object='libscioutput_stream_la-Scierror.lo' libtool=yes @AMDEPBACKSLASH@
693 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
694 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-Scierror.lo `test -f 'src/c/Scierror.c' || echo '$(srcdir)/'`src/c/Scierror.c
695
696 libscioutput_stream_la-msgstore.lo: src/c/msgstore.c
697 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-msgstore.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-msgstore.Tpo -c -o libscioutput_stream_la-msgstore.lo `test -f 'src/c/msgstore.c' || echo '$(srcdir)/'`src/c/msgstore.c
698 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-msgstore.Tpo $(DEPDIR)/libscioutput_stream_la-msgstore.Plo
699 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/msgstore.c' object='libscioutput_stream_la-msgstore.lo' libtool=yes @AMDEPBACKSLASH@
700 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
701 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-msgstore.lo `test -f 'src/c/msgstore.c' || echo '$(srcdir)/'`src/c/msgstore.c
702
703 libscioutput_stream_la-msgout.lo: src/c/msgout.c
704 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-msgout.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-msgout.Tpo -c -o libscioutput_stream_la-msgout.lo `test -f 'src/c/msgout.c' || echo '$(srcdir)/'`src/c/msgout.c
705 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-msgout.Tpo $(DEPDIR)/libscioutput_stream_la-msgout.Plo
706 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/msgout.c' object='libscioutput_stream_la-msgout.lo' libtool=yes @AMDEPBACKSLASH@
707 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
708 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-msgout.lo `test -f 'src/c/msgout.c' || echo '$(srcdir)/'`src/c/msgout.c
709
710 libscioutput_stream_la-msgs.lo: src/c/msgs.c
711 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-msgs.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-msgs.Tpo -c -o libscioutput_stream_la-msgs.lo `test -f 'src/c/msgs.c' || echo '$(srcdir)/'`src/c/msgs.c
712 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-msgs.Tpo $(DEPDIR)/libscioutput_stream_la-msgs.Plo
713 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/msgs.c' object='libscioutput_stream_la-msgs.lo' libtool=yes @AMDEPBACKSLASH@
714 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
715 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-msgs.lo `test -f 'src/c/msgs.c' || echo '$(srcdir)/'`src/c/msgs.c
716
717 libscioutput_stream_la-msgstxt.lo: src/c/msgstxt.c
718 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-msgstxt.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-msgstxt.Tpo -c -o libscioutput_stream_la-msgstxt.lo `test -f 'src/c/msgstxt.c' || echo '$(srcdir)/'`src/c/msgstxt.c
719 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-msgstxt.Tpo $(DEPDIR)/libscioutput_stream_la-msgstxt.Plo
720 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/msgstxt.c' object='libscioutput_stream_la-msgstxt.lo' libtool=yes @AMDEPBACKSLASH@
721 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
722 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-msgstxt.lo `test -f 'src/c/msgstxt.c' || echo '$(srcdir)/'`src/c/msgstxt.c
723
724 libscioutput_stream_la-basout.lo: src/c/basout.c
725 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-basout.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-basout.Tpo -c -o libscioutput_stream_la-basout.lo `test -f 'src/c/basout.c' || echo '$(srcdir)/'`src/c/basout.c
726 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-basout.Tpo $(DEPDIR)/libscioutput_stream_la-basout.Plo
727 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/basout.c' object='libscioutput_stream_la-basout.lo' libtool=yes @AMDEPBACKSLASH@
728 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
729 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-basout.lo `test -f 'src/c/basout.c' || echo '$(srcdir)/'`src/c/basout.c
730
731 libscioutput_stream_la-sciprint.lo: src/c/sciprint.c
732 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-sciprint.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-sciprint.Tpo -c -o libscioutput_stream_la-sciprint.lo `test -f 'src/c/sciprint.c' || echo '$(srcdir)/'`src/c/sciprint.c
733 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-sciprint.Tpo $(DEPDIR)/libscioutput_stream_la-sciprint.Plo
734 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/sciprint.c' object='libscioutput_stream_la-sciprint.lo' libtool=yes @AMDEPBACKSLASH@
735 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
736 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-sciprint.lo `test -f 'src/c/sciprint.c' || echo '$(srcdir)/'`src/c/sciprint.c
737
738 libscioutput_stream_la-sciprint_full.lo: src/c/sciprint_full.c
739 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-sciprint_full.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-sciprint_full.Tpo -c -o libscioutput_stream_la-sciprint_full.lo `test -f 'src/c/sciprint_full.c' || echo '$(srcdir)/'`src/c/sciprint_full.c
740 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-sciprint_full.Tpo $(DEPDIR)/libscioutput_stream_la-sciprint_full.Plo
741 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/sciprint_full.c' object='libscioutput_stream_la-sciprint_full.lo' libtool=yes @AMDEPBACKSLASH@
742 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
743 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-sciprint_full.lo `test -f 'src/c/sciprint_full.c' || echo '$(srcdir)/'`src/c/sciprint_full.c
744
745 libscioutput_stream_la-errmds.lo: src/c/errmds.c
746 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-errmds.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-errmds.Tpo -c -o libscioutput_stream_la-errmds.lo `test -f 'src/c/errmds.c' || echo '$(srcdir)/'`src/c/errmds.c
747 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-errmds.Tpo $(DEPDIR)/libscioutput_stream_la-errmds.Plo
748 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/errmds.c' object='libscioutput_stream_la-errmds.lo' libtool=yes @AMDEPBACKSLASH@
749 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
750 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-errmds.lo `test -f 'src/c/errmds.c' || echo '$(srcdir)/'`src/c/errmds.c
751
752 libscioutput_stream_la-errmsg.lo: src/c/errmsg.c
753 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-errmsg.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-errmsg.Tpo -c -o libscioutput_stream_la-errmsg.lo `test -f 'src/c/errmsg.c' || echo '$(srcdir)/'`src/c/errmsg.c
754 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-errmsg.Tpo $(DEPDIR)/libscioutput_stream_la-errmsg.Plo
755 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/errmsg.c' object='libscioutput_stream_la-errmsg.lo' libtool=yes @AMDEPBACKSLASH@
756 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
757 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-errmsg.lo `test -f 'src/c/errmsg.c' || echo '$(srcdir)/'`src/c/errmsg.c
758
759 libscioutput_stream_la-error.lo: src/c/error.c
760 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-error.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-error.Tpo -c -o libscioutput_stream_la-error.lo `test -f 'src/c/error.c' || echo '$(srcdir)/'`src/c/error.c
761 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-error.Tpo $(DEPDIR)/libscioutput_stream_la-error.Plo
762 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/error.c' object='libscioutput_stream_la-error.lo' libtool=yes @AMDEPBACKSLASH@
763 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
764 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-error.lo `test -f 'src/c/error.c' || echo '$(srcdir)/'`src/c/error.c
765
766 libscioutput_stream_la-error_internal.lo: src/c/error_internal.c
767 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-error_internal.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-error_internal.Tpo -c -o libscioutput_stream_la-error_internal.lo `test -f 'src/c/error_internal.c' || echo '$(srcdir)/'`src/c/error_internal.c
768 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-error_internal.Tpo $(DEPDIR)/libscioutput_stream_la-error_internal.Plo
769 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/error_internal.c' object='libscioutput_stream_la-error_internal.lo' libtool=yes @AMDEPBACKSLASH@
770 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
771 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-error_internal.lo `test -f 'src/c/error_internal.c' || echo '$(srcdir)/'`src/c/error_internal.c
772
773 libscioutput_stream_la-do_xxprintf.lo: src/c/do_xxprintf.c
774 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-do_xxprintf.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-do_xxprintf.Tpo -c -o libscioutput_stream_la-do_xxprintf.lo `test -f 'src/c/do_xxprintf.c' || echo '$(srcdir)/'`src/c/do_xxprintf.c
775 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-do_xxprintf.Tpo $(DEPDIR)/libscioutput_stream_la-do_xxprintf.Plo
776 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/do_xxprintf.c' object='libscioutput_stream_la-do_xxprintf.lo' libtool=yes @AMDEPBACKSLASH@
777 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
778 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-do_xxprintf.lo `test -f 'src/c/do_xxprintf.c' || echo '$(srcdir)/'`src/c/do_xxprintf.c
779
780 libscioutput_stream_la-set_xxprintf.lo: src/c/set_xxprintf.c
781 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-set_xxprintf.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-set_xxprintf.Tpo -c -o libscioutput_stream_la-set_xxprintf.lo `test -f 'src/c/set_xxprintf.c' || echo '$(srcdir)/'`src/c/set_xxprintf.c
782 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-set_xxprintf.Tpo $(DEPDIR)/libscioutput_stream_la-set_xxprintf.Plo
783 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/set_xxprintf.c' object='libscioutput_stream_la-set_xxprintf.lo' libtool=yes @AMDEPBACKSLASH@
784 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
785 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-set_xxprintf.lo `test -f 'src/c/set_xxprintf.c' || echo '$(srcdir)/'`src/c/set_xxprintf.c
786
787 libscioutput_stream_la-gw_output_stream.lo: sci_gateway/c/gw_output_stream.c
788 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-gw_output_stream.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-gw_output_stream.Tpo -c -o libscioutput_stream_la-gw_output_stream.lo `test -f 'sci_gateway/c/gw_output_stream.c' || echo '$(srcdir)/'`sci_gateway/c/gw_output_stream.c
789 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-gw_output_stream.Tpo $(DEPDIR)/libscioutput_stream_la-gw_output_stream.Plo
790 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_output_stream.c' object='libscioutput_stream_la-gw_output_stream.lo' libtool=yes @AMDEPBACKSLASH@
791 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
792 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-gw_output_stream.lo `test -f 'sci_gateway/c/gw_output_stream.c' || echo '$(srcdir)/'`sci_gateway/c/gw_output_stream.c
793
794 libscioutput_stream_la-sci_print.lo: sci_gateway/c/sci_print.c
795 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-sci_print.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-sci_print.Tpo -c -o libscioutput_stream_la-sci_print.lo `test -f 'sci_gateway/c/sci_print.c' || echo '$(srcdir)/'`sci_gateway/c/sci_print.c
796 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-sci_print.Tpo $(DEPDIR)/libscioutput_stream_la-sci_print.Plo
797 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_print.c' object='libscioutput_stream_la-sci_print.lo' libtool=yes @AMDEPBACKSLASH@
798 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
799 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-sci_print.lo `test -f 'sci_gateway/c/sci_print.c' || echo '$(srcdir)/'`sci_gateway/c/sci_print.c
800
801 libscioutput_stream_la-sci_mprintf.lo: sci_gateway/c/sci_mprintf.c
802 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-sci_mprintf.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-sci_mprintf.Tpo -c -o libscioutput_stream_la-sci_mprintf.lo `test -f 'sci_gateway/c/sci_mprintf.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mprintf.c
803 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-sci_mprintf.Tpo $(DEPDIR)/libscioutput_stream_la-sci_mprintf.Plo
804 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_mprintf.c' object='libscioutput_stream_la-sci_mprintf.lo' libtool=yes @AMDEPBACKSLASH@
805 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
806 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-sci_mprintf.lo `test -f 'sci_gateway/c/sci_mprintf.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mprintf.c
807
808 libscioutput_stream_la-sci_msprintf.lo: sci_gateway/c/sci_msprintf.c
809 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-sci_msprintf.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-sci_msprintf.Tpo -c -o libscioutput_stream_la-sci_msprintf.lo `test -f 'sci_gateway/c/sci_msprintf.c' || echo '$(srcdir)/'`sci_gateway/c/sci_msprintf.c
810 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-sci_msprintf.Tpo $(DEPDIR)/libscioutput_stream_la-sci_msprintf.Plo
811 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_msprintf.c' object='libscioutput_stream_la-sci_msprintf.lo' libtool=yes @AMDEPBACKSLASH@
812 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
813 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-sci_msprintf.lo `test -f 'sci_gateway/c/sci_msprintf.c' || echo '$(srcdir)/'`sci_gateway/c/sci_msprintf.c
814
815 libscioutput_stream_la-sci_disp.lo: sci_gateway/c/sci_disp.c
816 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-sci_disp.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-sci_disp.Tpo -c -o libscioutput_stream_la-sci_disp.lo `test -f 'sci_gateway/c/sci_disp.c' || echo '$(srcdir)/'`sci_gateway/c/sci_disp.c
817 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-sci_disp.Tpo $(DEPDIR)/libscioutput_stream_la-sci_disp.Plo
818 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_disp.c' object='libscioutput_stream_la-sci_disp.lo' libtool=yes @AMDEPBACKSLASH@
819 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
820 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-sci_disp.lo `test -f 'sci_gateway/c/sci_disp.c' || echo '$(srcdir)/'`sci_gateway/c/sci_disp.c
821
822 .cpp.o:
823 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
824 @am__fastdepCXX_TRUE@   mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
825 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
826 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
827 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ $<
828
829 .cpp.obj:
830 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
831 @am__fastdepCXX_TRUE@   mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
832 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
833 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
834 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
835
836 .cpp.lo:
837 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
838 @am__fastdepCXX_TRUE@   mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
839 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
840 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
841 @am__fastdepCXX_FALSE@  $(LTCXXCOMPILE) -c -o $@ $<
842
843 libscioutput_stream_la-Diary.lo: src/cpp/Diary.cpp
844 @am__fastdepCXX_TRUE@   $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscioutput_stream_la-Diary.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-Diary.Tpo -c -o libscioutput_stream_la-Diary.lo `test -f 'src/cpp/Diary.cpp' || echo '$(srcdir)/'`src/cpp/Diary.cpp
845 @am__fastdepCXX_TRUE@   mv -f $(DEPDIR)/libscioutput_stream_la-Diary.Tpo $(DEPDIR)/libscioutput_stream_la-Diary.Plo
846 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/Diary.cpp' object='libscioutput_stream_la-Diary.lo' libtool=yes @AMDEPBACKSLASH@
847 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
848 @am__fastdepCXX_FALSE@  $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscioutput_stream_la-Diary.lo `test -f 'src/cpp/Diary.cpp' || echo '$(srcdir)/'`src/cpp/Diary.cpp
849
850 libscioutput_stream_la-DiaryList.lo: src/cpp/DiaryList.cpp
851 @am__fastdepCXX_TRUE@   $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscioutput_stream_la-DiaryList.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-DiaryList.Tpo -c -o libscioutput_stream_la-DiaryList.lo `test -f 'src/cpp/DiaryList.cpp' || echo '$(srcdir)/'`src/cpp/DiaryList.cpp
852 @am__fastdepCXX_TRUE@   mv -f $(DEPDIR)/libscioutput_stream_la-DiaryList.Tpo $(DEPDIR)/libscioutput_stream_la-DiaryList.Plo
853 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/DiaryList.cpp' object='libscioutput_stream_la-DiaryList.lo' libtool=yes @AMDEPBACKSLASH@
854 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
855 @am__fastdepCXX_FALSE@  $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscioutput_stream_la-DiaryList.lo `test -f 'src/cpp/DiaryList.cpp' || echo '$(srcdir)/'`src/cpp/DiaryList.cpp
856
857 libscioutput_stream_la-diary_manager.lo: src/cpp/diary_manager.cpp
858 @am__fastdepCXX_TRUE@   $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscioutput_stream_la-diary_manager.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-diary_manager.Tpo -c -o libscioutput_stream_la-diary_manager.lo `test -f 'src/cpp/diary_manager.cpp' || echo '$(srcdir)/'`src/cpp/diary_manager.cpp
859 @am__fastdepCXX_TRUE@   mv -f $(DEPDIR)/libscioutput_stream_la-diary_manager.Tpo $(DEPDIR)/libscioutput_stream_la-diary_manager.Plo
860 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/diary_manager.cpp' object='libscioutput_stream_la-diary_manager.lo' libtool=yes @AMDEPBACKSLASH@
861 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
862 @am__fastdepCXX_FALSE@  $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscioutput_stream_la-diary_manager.lo `test -f 'src/cpp/diary_manager.cpp' || echo '$(srcdir)/'`src/cpp/diary_manager.cpp
863
864 libscioutput_stream_la-getDiaryDate.lo: src/cpp/getDiaryDate.cpp
865 @am__fastdepCXX_TRUE@   $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscioutput_stream_la-getDiaryDate.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-getDiaryDate.Tpo -c -o libscioutput_stream_la-getDiaryDate.lo `test -f 'src/cpp/getDiaryDate.cpp' || echo '$(srcdir)/'`src/cpp/getDiaryDate.cpp
866 @am__fastdepCXX_TRUE@   mv -f $(DEPDIR)/libscioutput_stream_la-getDiaryDate.Tpo $(DEPDIR)/libscioutput_stream_la-getDiaryDate.Plo
867 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/getDiaryDate.cpp' object='libscioutput_stream_la-getDiaryDate.lo' libtool=yes @AMDEPBACKSLASH@
868 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
869 @am__fastdepCXX_FALSE@  $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscioutput_stream_la-getDiaryDate.lo `test -f 'src/cpp/getDiaryDate.cpp' || echo '$(srcdir)/'`src/cpp/getDiaryDate.cpp
870
871 libscioutput_stream_la-getFullFilename.lo: src/cpp/getFullFilename.cpp
872 @am__fastdepCXX_TRUE@   $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscioutput_stream_la-getFullFilename.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-getFullFilename.Tpo -c -o libscioutput_stream_la-getFullFilename.lo `test -f 'src/cpp/getFullFilename.cpp' || echo '$(srcdir)/'`src/cpp/getFullFilename.cpp
873 @am__fastdepCXX_TRUE@   mv -f $(DEPDIR)/libscioutput_stream_la-getFullFilename.Tpo $(DEPDIR)/libscioutput_stream_la-getFullFilename.Plo
874 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/getFullFilename.cpp' object='libscioutput_stream_la-getFullFilename.lo' libtool=yes @AMDEPBACKSLASH@
875 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
876 @am__fastdepCXX_FALSE@  $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscioutput_stream_la-getFullFilename.lo `test -f 'src/cpp/getFullFilename.cpp' || echo '$(srcdir)/'`src/cpp/getFullFilename.cpp
877
878 libscioutput_stream_la-sci_diary.lo: sci_gateway/cpp/sci_diary.cpp
879 @am__fastdepCXX_TRUE@   $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscioutput_stream_la-sci_diary.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-sci_diary.Tpo -c -o libscioutput_stream_la-sci_diary.lo `test -f 'sci_gateway/cpp/sci_diary.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_diary.cpp
880 @am__fastdepCXX_TRUE@   mv -f $(DEPDIR)/libscioutput_stream_la-sci_diary.Tpo $(DEPDIR)/libscioutput_stream_la-sci_diary.Plo
881 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_diary.cpp' object='libscioutput_stream_la-sci_diary.lo' libtool=yes @AMDEPBACKSLASH@
882 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
883 @am__fastdepCXX_FALSE@  $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscioutput_stream_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscioutput_stream_la-sci_diary.lo `test -f 'sci_gateway/cpp/sci_diary.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_diary.cpp
884
885 .f.o:
886         $(F77COMPILE) -c -o $@ $<
887
888 .f.obj:
889         $(F77COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
890
891 .f.lo:
892         $(LTF77COMPILE) -c -o $@ $<
893
894 wspdsp.lo: src/fortran/wspdsp.f
895         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o wspdsp.lo `test -f 'src/fortran/wspdsp.f' || echo '$(srcdir)/'`src/fortran/wspdsp.f
896
897 wmdsp.lo: src/fortran/wmdsp.f
898         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o wmdsp.lo `test -f 'src/fortran/wmdsp.f' || echo '$(srcdir)/'`src/fortran/wmdsp.f
899
900 strdsp.lo: src/fortran/strdsp.f
901         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o strdsp.lo `test -f 'src/fortran/strdsp.f' || echo '$(srcdir)/'`src/fortran/strdsp.f
902
903 prntid.lo: src/fortran/prntid.f
904         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o prntid.lo `test -f 'src/fortran/prntid.f' || echo '$(srcdir)/'`src/fortran/prntid.f
905
906 print.lo: src/fortran/print.f
907         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o print.lo `test -f 'src/fortran/print.f' || echo '$(srcdir)/'`src/fortran/print.f
908
909 lspdsp.lo: src/fortran/lspdsp.f
910         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o lspdsp.lo `test -f 'src/fortran/lspdsp.f' || echo '$(srcdir)/'`src/fortran/lspdsp.f
911
912 fmttyp.lo: src/fortran/fmttyp.f
913         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o fmttyp.lo `test -f 'src/fortran/fmttyp.f' || echo '$(srcdir)/'`src/fortran/fmttyp.f
914
915 fmt.lo: src/fortran/fmt.f
916         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o fmt.lo `test -f 'src/fortran/fmt.f' || echo '$(srcdir)/'`src/fortran/fmt.f
917
918 dspdsp.lo: src/fortran/dspdsp.f
919         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dspdsp.lo `test -f 'src/fortran/dspdsp.f' || echo '$(srcdir)/'`src/fortran/dspdsp.f
920
921 dmrdsp.lo: src/fortran/dmrdsp.f
922         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dmrdsp.lo `test -f 'src/fortran/dmrdsp.f' || echo '$(srcdir)/'`src/fortran/dmrdsp.f
923
924 dmpdsp.lo: src/fortran/dmpdsp.f
925         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dmpdsp.lo `test -f 'src/fortran/dmpdsp.f' || echo '$(srcdir)/'`src/fortran/dmpdsp.f
926
927 dmdspf.lo: src/fortran/dmdspf.f
928         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dmdspf.lo `test -f 'src/fortran/dmdspf.f' || echo '$(srcdir)/'`src/fortran/dmdspf.f
929
930 dmdsp.lo: src/fortran/dmdsp.f
931         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dmdsp.lo `test -f 'src/fortran/dmdsp.f' || echo '$(srcdir)/'`src/fortran/dmdsp.f
932
933 dldsp.lo: src/fortran/dldsp.f
934         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dldsp.lo `test -f 'src/fortran/dldsp.f' || echo '$(srcdir)/'`src/fortran/dldsp.f
935
936 basouttofile.lo: src/fortran/basouttofile.f
937         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o basouttofile.lo `test -f 'src/fortran/basouttofile.f' || echo '$(srcdir)/'`src/fortran/basouttofile.f
938
939 formatnumber.lo: src/fortran/formatnumber.f
940         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o formatnumber.lo `test -f 'src/fortran/formatnumber.f' || echo '$(srcdir)/'`src/fortran/formatnumber.f
941
942 intprint.lo: sci_gateway/fortran/intprint.f
943         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intprint.lo `test -f 'sci_gateway/fortran/intprint.f' || echo '$(srcdir)/'`sci_gateway/fortran/intprint.f
944
945 intdisp.lo: sci_gateway/fortran/intdisp.f
946         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intdisp.lo `test -f 'sci_gateway/fortran/intdisp.f' || echo '$(srcdir)/'`sci_gateway/fortran/intdisp.f
947
948 mostlyclean-libtool:
949         -rm -f *.lo
950
951 clean-libtool:
952         -rm -rf .libs _libs
953 install-libscioutput_stream_la_etcDATA: $(libscioutput_stream_la_etc_DATA)
954         @$(NORMAL_INSTALL)
955         test -z "$(libscioutput_stream_la_etcdir)" || $(MKDIR_P) "$(DESTDIR)$(libscioutput_stream_la_etcdir)"
956         @list='$(libscioutput_stream_la_etc_DATA)'; for p in $$list; do \
957           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
958           f=$(am__strip_dir) \
959           echo " $(libscioutput_stream_la_etcDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(libscioutput_stream_la_etcdir)/$$f'"; \
960           $(libscioutput_stream_la_etcDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(libscioutput_stream_la_etcdir)/$$f"; \
961         done
962
963 uninstall-libscioutput_stream_la_etcDATA:
964         @$(NORMAL_UNINSTALL)
965         @list='$(libscioutput_stream_la_etc_DATA)'; for p in $$list; do \
966           f=$(am__strip_dir) \
967           echo " rm -f '$(DESTDIR)$(libscioutput_stream_la_etcdir)/$$f'"; \
968           rm -f "$(DESTDIR)$(libscioutput_stream_la_etcdir)/$$f"; \
969         done
970 install-libscioutput_stream_la_rootDATA: $(libscioutput_stream_la_root_DATA)
971         @$(NORMAL_INSTALL)
972         test -z "$(libscioutput_stream_la_rootdir)" || $(MKDIR_P) "$(DESTDIR)$(libscioutput_stream_la_rootdir)"
973         @list='$(libscioutput_stream_la_root_DATA)'; for p in $$list; do \
974           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
975           f=$(am__strip_dir) \
976           echo " $(libscioutput_stream_la_rootDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(libscioutput_stream_la_rootdir)/$$f'"; \
977           $(libscioutput_stream_la_rootDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(libscioutput_stream_la_rootdir)/$$f"; \
978         done
979
980 uninstall-libscioutput_stream_la_rootDATA:
981         @$(NORMAL_UNINSTALL)
982         @list='$(libscioutput_stream_la_root_DATA)'; for p in $$list; do \
983           f=$(am__strip_dir) \
984           echo " rm -f '$(DESTDIR)$(libscioutput_stream_la_rootdir)/$$f'"; \
985           rm -f "$(DESTDIR)$(libscioutput_stream_la_rootdir)/$$f"; \
986         done
987 install-libscioutput_stream_la_sci_gatewayDATA: $(libscioutput_stream_la_sci_gateway_DATA)
988         @$(NORMAL_INSTALL)
989         test -z "$(libscioutput_stream_la_sci_gatewaydir)" || $(MKDIR_P) "$(DESTDIR)$(libscioutput_stream_la_sci_gatewaydir)"
990         @list='$(libscioutput_stream_la_sci_gateway_DATA)'; for p in $$list; do \
991           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
992           f=$(am__strip_dir) \
993           echo " $(libscioutput_stream_la_sci_gatewayDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(libscioutput_stream_la_sci_gatewaydir)/$$f'"; \
994           $(libscioutput_stream_la_sci_gatewayDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(libscioutput_stream_la_sci_gatewaydir)/$$f"; \
995         done
996
997 uninstall-libscioutput_stream_la_sci_gatewayDATA:
998         @$(NORMAL_UNINSTALL)
999         @list='$(libscioutput_stream_la_sci_gateway_DATA)'; for p in $$list; do \
1000           f=$(am__strip_dir) \
1001           echo " rm -f '$(DESTDIR)$(libscioutput_stream_la_sci_gatewaydir)/$$f'"; \
1002           rm -f "$(DESTDIR)$(libscioutput_stream_la_sci_gatewaydir)/$$f"; \
1003         done
1004 install-libscioutput_stream_la_includeHEADERS: $(libscioutput_stream_la_include_HEADERS)
1005         @$(NORMAL_INSTALL)
1006         test -z "$(libscioutput_stream_la_includedir)" || $(MKDIR_P) "$(DESTDIR)$(libscioutput_stream_la_includedir)"
1007         @list='$(libscioutput_stream_la_include_HEADERS)'; for p in $$list; do \
1008           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1009           f=$(am__strip_dir) \
1010           echo " $(libscioutput_stream_la_includeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(libscioutput_stream_la_includedir)/$$f'"; \
1011           $(libscioutput_stream_la_includeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(libscioutput_stream_la_includedir)/$$f"; \
1012         done
1013
1014 uninstall-libscioutput_stream_la_includeHEADERS:
1015         @$(NORMAL_UNINSTALL)
1016         @list='$(libscioutput_stream_la_include_HEADERS)'; for p in $$list; do \
1017           f=$(am__strip_dir) \
1018           echo " rm -f '$(DESTDIR)$(libscioutput_stream_la_includedir)/$$f'"; \
1019           rm -f "$(DESTDIR)$(libscioutput_stream_la_includedir)/$$f"; \
1020         done
1021
1022 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
1023         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
1024         unique=`for i in $$list; do \
1025             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1026           done | \
1027           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1028               END { if (nonempty) { for (i in files) print i; }; }'`; \
1029         mkid -fID $$unique
1030 tags: TAGS
1031
1032 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1033                 $(TAGS_FILES) $(LISP)
1034         tags=; \
1035         here=`pwd`; \
1036         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1037         unique=`for i in $$list; do \
1038             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1039           done | \
1040           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1041               END { if (nonempty) { for (i in files) print i; }; }'`; \
1042         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
1043           test -n "$$unique" || unique=$$empty_fix; \
1044           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1045             $$tags $$unique; \
1046         fi
1047 ctags: CTAGS
1048 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1049                 $(TAGS_FILES) $(LISP)
1050         tags=; \
1051         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1052         unique=`for i in $$list; do \
1053             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1054           done | \
1055           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1056               END { if (nonempty) { for (i in files) print i; }; }'`; \
1057         test -z "$(CTAGS_ARGS)$$tags$$unique" \
1058           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1059              $$tags $$unique
1060
1061 GTAGS:
1062         here=`$(am__cd) $(top_builddir) && pwd` \
1063           && cd $(top_srcdir) \
1064           && gtags -i $(GTAGS_ARGS) $$here
1065
1066 distclean-tags:
1067         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1068
1069 distdir: $(DISTFILES)
1070         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1071         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1072         list='$(DISTFILES)'; \
1073           dist_files=`for file in $$list; do echo $$file; done | \
1074           sed -e "s|^$$srcdirstrip/||;t" \
1075               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1076         case $$dist_files in \
1077           */*) $(MKDIR_P) `echo "$$dist_files" | \
1078                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1079                            sort -u` ;; \
1080         esac; \
1081         for file in $$dist_files; do \
1082           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1083           if test -d $$d/$$file; then \
1084             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1085             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1086               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
1087             fi; \
1088             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
1089           else \
1090             test -f $(distdir)/$$file \
1091             || cp -p $$d/$$file $(distdir)/$$file \
1092             || exit 1; \
1093           fi; \
1094         done
1095 check-am: all-am
1096         $(MAKE) $(AM_MAKEFLAGS) check-local
1097 check: check-am
1098 all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS) all-local
1099 installdirs:
1100         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscioutput_stream_la_etcdir)" "$(DESTDIR)$(libscioutput_stream_la_rootdir)" "$(DESTDIR)$(libscioutput_stream_la_sci_gatewaydir)" "$(DESTDIR)$(libscioutput_stream_la_includedir)"; do \
1101           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1102         done
1103 install: install-am
1104 install-exec: install-exec-am
1105 install-data: install-data-am
1106 uninstall: uninstall-am
1107
1108 install-am: all-am
1109         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1110
1111 installcheck: installcheck-am
1112 install-strip:
1113         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1114           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1115           `test -z '$(STRIP)' || \
1116             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
1117 mostlyclean-generic:
1118
1119 clean-generic:
1120
1121 distclean-generic:
1122         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1123
1124 maintainer-clean-generic:
1125         @echo "This command is intended for maintainers to use"
1126         @echo "it deletes files that may require special tools to rebuild."
1127 clean: clean-am
1128
1129 clean-am: clean-generic clean-libtool clean-local \
1130         clean-pkglibLTLIBRARIES mostlyclean-am
1131
1132 distclean: distclean-am
1133         -rm -rf ./$(DEPDIR)
1134         -rm -f Makefile
1135 distclean-am: clean-am distclean-compile distclean-generic \
1136         distclean-local distclean-tags
1137
1138 dvi: dvi-am
1139
1140 dvi-am:
1141
1142 html: html-am
1143
1144 info: info-am
1145
1146 info-am:
1147
1148 install-data-am: install-data-local \
1149         install-libscioutput_stream_la_etcDATA \
1150         install-libscioutput_stream_la_includeHEADERS \
1151         install-libscioutput_stream_la_rootDATA \
1152         install-libscioutput_stream_la_sci_gatewayDATA
1153
1154 install-dvi: install-dvi-am
1155
1156 install-exec-am: install-pkglibLTLIBRARIES
1157
1158 install-html: install-html-am
1159
1160 install-html-am: install-html-local
1161
1162 install-info: install-info-am
1163
1164 install-man:
1165
1166 install-pdf: install-pdf-am
1167
1168 install-ps: install-ps-am
1169
1170 installcheck-am:
1171
1172 maintainer-clean: maintainer-clean-am
1173         -rm -rf ./$(DEPDIR)
1174         -rm -f Makefile
1175 maintainer-clean-am: distclean-am maintainer-clean-generic
1176
1177 mostlyclean: mostlyclean-am
1178
1179 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1180         mostlyclean-libtool
1181
1182 pdf: pdf-am
1183
1184 pdf-am:
1185
1186 ps: ps-am
1187
1188 ps-am:
1189
1190 uninstall-am: uninstall-libscioutput_stream_la_etcDATA \
1191         uninstall-libscioutput_stream_la_includeHEADERS \
1192         uninstall-libscioutput_stream_la_rootDATA \
1193         uninstall-libscioutput_stream_la_sci_gatewayDATA \
1194         uninstall-pkglibLTLIBRARIES
1195
1196 .MAKE: install-am install-strip
1197
1198 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1199         clean clean-generic clean-libtool clean-local \
1200         clean-pkglibLTLIBRARIES ctags distclean distclean-compile \
1201         distclean-generic distclean-libtool distclean-local \
1202         distclean-tags distdir dvi dvi-am html html-am info info-am \
1203         install install-am install-data install-data-am \
1204         install-data-local install-dvi install-dvi-am install-exec \
1205         install-exec-am install-html install-html-am \
1206         install-html-local install-info install-info-am \
1207         install-libscioutput_stream_la_etcDATA \
1208         install-libscioutput_stream_la_includeHEADERS \
1209         install-libscioutput_stream_la_rootDATA \
1210         install-libscioutput_stream_la_sci_gatewayDATA install-man \
1211         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1212         install-ps install-ps-am install-strip installcheck \
1213         installcheck-am installdirs maintainer-clean \
1214         maintainer-clean-generic mostlyclean mostlyclean-compile \
1215         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1216         tags uninstall uninstall-am \
1217         uninstall-libscioutput_stream_la_etcDATA \
1218         uninstall-libscioutput_stream_la_includeHEADERS \
1219         uninstall-libscioutput_stream_la_rootDATA \
1220         uninstall-libscioutput_stream_la_sci_gatewayDATA \
1221         uninstall-pkglibLTLIBRARIES
1222
1223
1224 # This target enables tests for Scilab
1225 check-local: $(top_builddir)/scilab-bin
1226         @COMMAND="test_run('$(modulename)');quit";\
1227         export LANG=C;\
1228         $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"
1229 check-code:
1230         @if test -f build.xml; then \
1231                 $(ANT) checkstyle; \
1232         fi;\
1233         splint $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC)
1234 @NEED_JAVA_TRUE@java:
1235 # Some configurations needs to export JAVA_HOME in the current env
1236 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1237 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1238 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1239 @NEED_JAVA_TRUE@                $(ANT); \
1240 @NEED_JAVA_TRUE@        fi
1241
1242 @NEED_JAVA_TRUE@clean-java:
1243 # Some configurations needs to export JAVA_HOME in the current env
1244 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1245 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1246 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1247 @NEED_JAVA_TRUE@                $(ANT) clean; \
1248 @NEED_JAVA_TRUE@        fi;
1249
1250 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1251 # We call the target swig-build on the variable SWIG_WRAPPERS
1252
1253 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1254 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1255 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1256 @SWIG_TRUE@     if test ! -z "$(SWIG_WRAPPERS)"; then \
1257 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1258 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1259 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1260 @SWIG_TRUE@             done; \
1261 @SWIG_TRUE@     fi
1262
1263 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1264 # We call the target swig-build on the variable SWIG_WRAPPERS
1265
1266 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1267 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1268 @GIWS_TRUE@     if test ! -z "$(GIWS_WRAPPERS)"; then \
1269 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1270 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1271 @GIWS_TRUE@                     $(GIWS_BIN) --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1272 @GIWS_TRUE@             done; \
1273 @GIWS_TRUE@     fi
1274
1275 macros:
1276         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1277                 echo "Error : Cannot build $< : Scilab has not been built"; \
1278         else \
1279                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1280         fi)
1281
1282 # Removes the macros
1283 clean-macros:
1284 # Removes macros (*.bin generated from .sci)
1285         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1286                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1287                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1288         done
1289
1290 all-local: $(TARGETS_ALL)
1291
1292 .sci.bin:
1293         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1294         echo "Error : Cannot build $< : Scilab has not been build"; \
1295         else \
1296         echo "Creating $@"; \
1297         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1298         fi )
1299
1300 install-html-local:
1301 # If the user wants the help sources to be installed
1302 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1303 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1304 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1305 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1306 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1307 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1308 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1309 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1310 @INSTALL_HELP_XML_TRUE@           done ; \
1311 @INSTALL_HELP_XML_TRUE@         fi; \
1312 @INSTALL_HELP_XML_TRUE@  fi; \
1313 @INSTALL_HELP_XML_TRUE@ done; \
1314 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1315 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1316 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1317 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1318 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1319 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1320 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1321 @INSTALL_HELP_XML_TRUE@           done ; \
1322 @INSTALL_HELP_XML_TRUE@         fi; \
1323 @INSTALL_HELP_XML_TRUE@ fi
1324 install-data-local:
1325 # Install the tests
1326         @echo "-------- Install tests (if any) --------"; \
1327         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1328           if test -d $(srcdir)/$$dir/; then \
1329             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1330                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1331                     if test -d "$(srcdir)/$$dir/$$file"; then \
1332                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1333                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1334                     else \
1335                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1336                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1337                     fi \
1338                   done; \
1339           fi; \
1340         done
1341 # Install the help chapter
1342         @echo "-------- Install the help chapter (if any) --------"; \
1343         for lang in $(HELP_CHAPTERLANG); do \
1344                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1345                 if test -f $$HELPFILE; then \
1346                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1347                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1348                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1349                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1350                 fi; \
1351         done
1352 # Install the demos & examples
1353         @echo "-------- Install demos & examples (if any) --------"; \
1354         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1355           if test -d $(srcdir)/$$dir/; then \
1356             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1357                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1358                     if test -d "$(srcdir)/$$dir/$$file"; then \
1359                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1360                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1361                     else \
1362                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1363                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1364                     fi \
1365                   done; \
1366           fi; \
1367         done
1368 # Install the macros
1369         @echo "-------- Install macros (if any) --------"; \
1370         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1371           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1372                 if test -d $(srcdir)/$$dir/; then \
1373                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1374                         for specialExt in $(MACROSSPECIALEXT); do \
1375                                 specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1376                         done; \
1377                         FILELIST="$$FILELIST $$specialExtDir"; \
1378                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1379                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1380                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1381                   done; \
1382                 fi; \
1383         done
1384 # Install java files (.jar)
1385         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1386         echo "-------- Install jar files --------"; \
1387     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1388           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1389                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1390                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1391           done ; \
1392         fi
1393
1394 ########### CLEAN ###################
1395 # Clean macros and help (generated automatically by Scilab)
1396 @NEED_JAVA_TRUE@clean-local: clean-java clean-macros
1397 @NEED_JAVA_FALSE@clean-local: clean-macros
1398
1399 distclean-local:
1400         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1401
1402 .PHONY: macros java swig giws
1403 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1404 # Otherwise a system limit (for SysV at least) may be exceeded.
1405 .NOEXPORT: